Bug 23118 - Create a plugin to implement the PayPal payments logic
Summary: Create a plugin to implement the PayPal payments logic
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Fines and fees (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Agustín Moyano
QA Contact: Testopia
URL: https://gitlab.com/thekesolutions/plu...
Keywords:
Depends on: 23213
Blocks: 23215 27044
  Show dependency treegraph
 
Reported: 2019-06-13 18:29 UTC by Agustín Moyano
Modified: 2020-11-17 17:17 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Agustín Moyano 2019-06-13 18:29:21 UTC
Move PayPal to a plugin, to unify treatment of payment methods.

This bug should simply remove PayPal logic from intranet and opac and place it as a plugin, with necesary configurations.

It will be downloadable from https://gitlab.com/thekesolutions/plugins/koha-plugin-paypal
Comment 1 Agustín Moyano 2019-06-26 03:59:14 UTC
Also this plugin should add the ability to determine minimum payment threshold
Comment 2 Agustín Moyano 2019-06-26 04:08:08 UTC
(In reply to Agustín Moyano from comment #0)
 
> This bug should simply remove PayPal logic from intranet and opac and place
> it as a plugin, with necesary configurations.

This bug won't remove PayPal logic from intranet and opac. That task will be addressed in bug 23215
Comment 3 Agustín Moyano 2019-08-10 05:50:10 UTC
Releases for this plugin will be available from 

https://gitlab.com/thekesolutions/plugins/koha-plugin-pay-via-paypal/-/releases

Current release features translation from all languages supported by Koha (text that was already translated, was copied from po files).

New features and bug fixes will be addressed in project's issues (https://gitlab.com/thekesolutions/plugins/koha-plugin-pay-via-paypal/issues)

Please, feel free to contribute via pull request.

Thanks!
Comment 4 Kyle M Hall 2019-10-08 13:10:04 UTC
Augustin, can you include the functionality from bug 21701 in your plugin? I assume the plan is still to remove baked in PayPal from Koha, and we'll want to make sure we don't lose any features!